include "Trackside.gs"

class C2SidedTrigger isclass Trackside
{
	void TriggerMessageHandler(Message pMsg);
	void TriggerEvent(GameObject pTriggeredObject);

	public void Init(Asset pAsset)
	{
		inherited(pAsset);
		
		// Collect "Object, Enter"-Messages
		AddHandler(me, "Object", "Enter", "TriggerMessageHandler");
	}
	
	void TriggerMessageHandler(Message pMsg)
	{
		// Return function, if the message destination isn't me!
		if(pMsg.dst != me)return;
		
		// The message is send to me, so handle the event
		TriggerEvent(pMsg.src);
	}
	
	void TriggerEvent(GameObject pTriggeredObject)
	{
		// TODO: Here you can put your own code, that runs, if the trigger
		// is entered
		// I decided to just give a message which contains the in-game ID
		// of the trains GameObject
		Interface.Print("Train-ID: " + pTriggeredObject.GetId());
	}
};